---
title: Event Registration Form
product: PDF Generator
description: Get a printable event registration form in PDF. Create editable or prefilled student event registration forms with SurveyJS PDF Generator.
framework: Vanilla JS
source: https://surveyjs.io/pdf-generator/examples/pdf-education-event-registration-form-template/vanillajs
index: https://surveyjs.io/pdf-generator/examples/overview.md
---

# Event Registration Form (Vanilla JS)

## Files

### `public/index.html`

```html
<div style="display: flex;">
    <div id="surveyElement" style="flex: 1 1 0%; height: 100%; min-width: 0;"></div>
    <div id="pdf-preview" style="flex: 0.7 0.7 0%; display: none">
        <embed id="pdf-preview-frame" type="application/pdf" style="width:100%; height:100%;" />
    </div>
</div>
```

### `src/index.css`

```css
/* You can add your custom CSS here. */
```

### `src/index.js`

```js
import { Model } from "survey-core";
import "survey-js-ui";
import { SurveyPDF } from "survey-pdf";
import "survey-core/survey-core.min.css";
import "./index.css";
import { json } from "./json";

function createSurveyPdfModel (surveyModel) {
    const surveyPDF = new SurveyPDF(json);
    if (surveyModel) {
        surveyPDF.data = surveyModel.data;
        surveyPDF.locale = surveyModel.locale;
        
        
    }
    surveyPDF.questionsOnPageMode = "standard";
    return surveyPDF;
}
function saveSurveyToPdf (filename, surveyModel) {
    const pdfDoc = createSurveyPdfModel(surveyModel);
    if (!pdfDoc) return;

    pdfDoc.save(filename);
}

const previewDiv = document.getElementById("pdf-preview");
const previewEmbed = document.getElementById("pdf-preview-frame");
let pdfBlobUrl;

function showPdfPreview(surveyModel) {
    if (!previewDiv || !previewEmbed) return;

    const pdfDoc = createSurveyPdfModel(surveyModel);
    if (!pdfDoc) return;

    pdfDoc.raw("blob").then((blob) => {
        if (pdfBlobUrl) {
            URL.revokeObjectURL(pdfBlobUrl);
        }
        pdfBlobUrl = URL.createObjectURL(blob);
        previewEmbed.setAttribute("src", pdfBlobUrl);
        previewDiv.style.display = "block";
    });
}

function previewPdf(surveyModel) {
    if (!previewDiv) return;

    if (previewDiv.style.display !== "none") {
        previewDiv.style.display = "none";
        return;
    }

    showPdfPreview(surveyModel);
}

const survey = new Model(json);
survey.showCompleteButton = false;
survey.navigationButtonsLocation = "topBottom";
survey.addNavigationItem({
    id: "survey_save_as_file",
    title: "Download PDF",
    action: () => {
        saveSurveyToPdf("surveyResult.pdf", survey);
    }
});
survey.addNavigationItem({
    id: "survey_pdf_preview",
    title: "Preview PDF",
    visible: window.navigator.pdfViewerEnabled,
    action: () => {
        previewPdf(survey);
    }
});
survey.render(document.getElementById("surveyElement"));
```

### `src/json.js`

```js
export const json = {
  "title": "Event Registration Form",
  "pages": [
    {
      "name": "important-info",
      "title": "Important Information",
      "description": "Read the following information carefully and confirm that you understand it.",
      "elements": [
        {
          "type": "panel",
          "name": "important-info-panel",
          "elements": [
            {
              "type": "html",
              "name": "warning",
              "html": "<p><strong>Event Registration</strong></p><p>Events, activities, and meetings may not be registered more than four months in advance of the current date.</p><p>Recurring events with the same activities, equipment, and location may be registered using this form if they occur within four months of the current date.</p><p>Requests are processed during business hours only. Minimum submission timeframes are listed below. Complex events or events with large attendance should be submitted as early as possible.</p><p>Meetings requiring room or club space hire: 2 business days, subject to availability.</p><p>Event registration including outdoor or plaza bookings: 5 business days, subject to availability.</p><p>Equipment requiring staff assistance, for example large screens or BBQ delivery: 10 business days.</p><p>Sale of food prepared by your group: 10 business days.</p><p>Events with attendance over 150 guests: 10 business days plus 2 business days for each additional 50 guests.</p><p>Events involving intrastate or interstate travel, for example camping or excursions: 15 business days.</p><p>Specialized or high risk activities, for example rock climbing or off road mountain biking: 15 business days.</p><p>Events submitted without sufficient notice will not be approved. If any event details change, including location, equipment, or room hire, submit a new Event Registration Form within the required notice period.</p>"
            }
          ]
        },
        {
          "type": "boolean",
          "name": "intro-consent",
          "title": "I confirm that I have read and understand the information above.",
          "displayMode": "checkbox"
        }
      ]
    },
    {
      "name": "general-details",
      "title": "General Details",
      "description": "Provide the contact details of the event or activity manager.",
      "elements": [
        {
          "type": "text",
          "name": "name-host",
          "title": "Name of Host or Organization",
          "description": "Use the full name. Acronyms are not accepted."
        },
        {
          "type": "panel",
          "name": "panel-host",
          "title": "Host or Organization Email",
          "elements": [
            {
              "type": "text",
              "name": "host-org-email",
              "title": "Email address",
              "inputType": "email",
              "autocomplete": "email"
            },
            {
              "type": "text",
              "name": "confirm_email",
              "startWithNewLine": false,
              "title": "Confirm email address",
              "validators": [
                {
                  "type": "expression",
                  "text": "The confirmation email must match the email entered above.",
                  "expression": "{confirm_email}={host-org-email}"
                }
              ],
              "inputType": "email",
              "autocomplete": "email"
            }
          ]
        },
        {
          "type": "panel",
          "name": "panel-manager",
          "title": "Event or Activity Manager",
          "elements": [
            {
              "type": "text",
              "name": "first-name",
              "title": "First name"
            },
            {
              "type": "text",
              "name": "last-name",
              "startWithNewLine": false,
              "title": "Last name"
            }
          ]
        },
        {
          "type": "panel",
          "name": "panel-manger-email",
          "title": "Event or Activity Manager Email",
          "elements": [
            {
              "type": "text",
              "name": "enter-email-manager",
              "title": "Email address",
              "inputType": "email",
              "autocomplete": "email"
            },
            {
              "type": "text",
              "name": "confirm-email-manager",
              "startWithNewLine": false,
              "title": "Confirm email address",
              "validators": [
                {
                  "type": "expression",
                  "text": "The confirmation email must match the email entered above.",
                  "expression": "{confirm-email-manager}={enter-email-manager}"
                }
              ],
              "inputType": "email",
              "autocomplete": "email"
            }
          ]
        },
        {
          "type": "panel",
          "name": "phone-student-number",
          "elements": [
            {
              "type": "text",
              "name": "phone",
              "title": "Event or Activity Manager Mobile Number",
              "maskType": "pattern",
              "maskSettings": {
                "pattern": "+1(999)-999-99-99"
              }
            },
            {
              "type": "text",
              "name": "student-number",
              "startWithNewLine": false,
              "title": "Student Number",
              "maskType": "pattern",
              "maskSettings": {
                "pattern": "aa999999"
              }
            },
            {
              "type": "radiogroup",
              "name": "presence",
              "title": "Will the event or activity manager listed above be present for the entire event?",
              "choices": [
                "Yes",
                "No"
              ]
            }
          ]
        }
      ]
    },
    {
      "name": "activity-details",
      "title": "Event or Activity Details",
      "description": "Provide details about the event, activity, or meeting.",
      "elements": [
        {
          "type": "radiogroup",
          "name": "name-event",
          "title": "Type of Event",
          "choices": [
            "Orientation Week",
            "Homecoming",
            "Graduation Ceremony",
            "Fresher Ball",
            "Sports Day",
            "Cultural Festival",
            "Academic Conference",
            "Career Fair",
            "Charity Event",
            "Art Exhibition"
          ],
          "showOtherItem": true,
          "otherText": "Other",
          "colCount": 2
        },
        {
          "type": "text",
          "name": "title-event",
          "title": "Title of Event or Activity",
          "maxLength": 50
        },
        {
          "type": "text",
          "name": "location",
          "title": "Event Location"
        },
        {
          "type": "radiogroup",
          "name": "attendance",
          "title": "Expected Attendance",
          "choices": [
            "1-50",
            "51-100",
            "101-200",
            "201-500",
            "More than 500"
          ],
          "colCount": 2
        },
        {
          "type": "comment",
          "name": "description",
          "title": "Description of the Event or Activity",
          "description": "Describe the purpose of the event and the planned activities.",
          "maxLength": 500,
          "autoGrow": true
        },
        {
          "type": "text",
          "name": "url",
          "title": "Event Web or Social Media Link, if applicable",
          "description": "For example a social media event page or ticket page. Leave blank if none.",
          "inputType": "url"
        },
        {
          "type": "paneldynamic",
          "name": "dates-times",
          "title": "Event Dates and Times",
          "panelCount": 3,
          "panelsState": "firstExpanded",
          "templateTitle": "Schedule {panelIndex}",
          "templateElements": [
            {
              "type": "text",
              "name": "date",
              "title": "Date",
              "inputType": "date",
              "minWidth": "auto"
            },
            {
              "type": "text",
              "name": "start-time",
              "title": "Start time",
              "inputType": "time",
              "startWithNewLine": false,
              "minWidth": "auto"
            },
            {
              "type": "text",
              "name": "end-time",
              "title": "End time",
              "inputType": "time",
              "startWithNewLine": false,
              "minWidth": "auto"
            }
          ]
        },
        {
          "type": "checkbox",
          "name": "requirements",
          "title": "Select any requirements for this activity.",
          "choices": [
            "I need to book a room or space",
            "I need to hire equipment",
            "I would like the university to promote this activity"
          ]
        },
        {
          "type": "boolean",
          "name": "acknowledgement",
          "title": "I confirm that I do not require equipment hire, room booking, or promotion. I understand that a new form must be submitted if my requirements change.",
          "description": "Select this only if none of the requirements above apply.",
          "displayMode": "checkbox"
        }
      ]
    },   
    {
      "name": "compliance-panel",
      "title": "Event Setup and Compliance Information",
      "description": "Provide information about event preparation and compliance requirements.",
      "elements": [
        {
          "type": "radiogroup",
          "name": "alcohol",
          "title": "Will alcohol be served at the event?",
          "choices": [
            "Yes",
            "No"
          ]
        },
        {
          "type": "panel",
          "name": "alcohol-statement",
          "title": "Alcohol Service Information",
          "description": "Complete this section if alcohol will be served.",
          "elements": [
            {
              "type": "html",
              "name": "statement-contents",
              "html": "<em>Outdoor events with alcohol must use a tent with sides. Events aimed at undergraduate students must not mention alcohol in advertising materials. Advertising may include the phrase Valid ID Required.</em>"
            },
            {
              "type": "boolean",
              "name": "alcohol-statement-confirmation",
              "title": "I confirm that I have read and understand the alcohol service rules.",
              "displayMode": "checkbox"
            }
          ]
        },
        {
          "type": "radiogroup",
          "name": "food",
          "title": "Will food be served at the event?",
          "choices": [
            "Yes",
            "No"
          ]
        },
        {
          "type": "panel",
          "name": "snacks-statement",
          "title": "Snack and Non Alcoholic Beverage Reminder",
          "description": "Complete this section if alcohol will be served. Snacks and non alcoholic beverages must be provided.",
          "elements": [
            {
              "type": "html",
              "name": "snacks-statement-contents",
              "html": "<em>Snacks and non alcoholic beverages must be served if alcohol is served.</em>"
            },
            {
              "type": "boolean",
              "name": "snacks-statement-confirmation",
              "title": "I confirm that I have read and understand this requirement.",
              "displayMode": "checkbox"
            }
          ]
        },
        {
          "type": "radiogroup",
          "name": "speaker-candidate",
          "title": "Will the event include a speaker who is a candidate for political office?",
          "choices": [
            "Yes",
            "No"
          ]
        },
        {
          "type": "radiogroup",
          "name": "against-candidate",
          "title": "Is the event expected to include statements supporting or opposing a political candidate or office holder?",
          "choices": [
            "Yes",
            "No"
          ]
        },
        {
          "type": "radiogroup",
          "name": "speaker",
          "title": "Will the event include another external speaker, entertainer, or presenter?",
          "choices": [
            "Yes",
            "No"
          ]
        },
        {
          "type": "text",
          "name": "name-speaker",
          "title": "Name of speaker, entertainer, or presenter, if applicable"
        },
        {
          "type": "radiogroup",
          "name": "amplified-music",
          "title": "Will the event include live or amplified music?",
          "choices": [
            "Yes",
            "No"
          ]
        },
        {
          "type": "panel",
          "name": "amplified-sound-statement",
          "title": "Amplified Sound Permit Information",
          "description": "Complete this section if the event includes amplified or live music.",
          "elements": [
            {
              "type": "html",
              "name": "permit",
              "html": "<p><strong>If the event is held outdoors, an Amplified Sound Permit from the local police department may be required.</strong></p><p>You will need an approved copy of this registration form to obtain the permit.</p>"
            },
            {
              "type": "boolean",
              "name": "amplified-sound-statement-confirmation",
              "title": "I confirm that I have read and understand the amplified sound permit requirements.",
              "displayMode": "checkbox"
            }
          ]
        },
        {
          "type": "radiogroup",
          "name": "displays",
          "title": "Will the event include signage or promotional displays?",
          "choices": [
            "Yes",
            "No"
          ]
        },
        {
          "type": "html",
          "name": "promotional-displays-statement",
          "title": "Rules for Signage and Promotional Displays",
          "html": "<em>No signage or promotional displays related to events may be attached to university buildings. All signage and promotional displays must be approved in advance as part of the event registration.</em>"
        },
        {
          "type": "comment",
          "name": "promotional-displays-contents",
          "title": "Provide details of signage or promotional displays, if applicable",
          "maxLength": 300
        },
        {
          "type": "radiogroup",
          "name": "insurance",
          "title": "Have the insurance requirements for this event been met?",
          "choices": [
            "Yes",
            "No"
          ]
        }
      ]
    },
    {
      "name": "declaration",
      "title": "Declaration",
      "elements": [
        {
          "type": "html",
          "name": "declaration-contents",
          "html": "<p>As the event manager, I agree to ensure that all applicable guidelines and health and safety requirements are followed during this event. I understand that late changes to equipment or room requirements may not be accommodated.</p>"
        },
        {
          "type": "boolean",
          "name": "declaration-confirmation",
          "title": "I confirm that I have read, understood, and agree to the declaration above.",
          "displayMode": "checkbox"
        }
      ]
    }
  ],
  "checkErrorsMode": "onValueChanged",
  "questionsOnPageMode": "singlePage",
  "headerView": "advanced"
};
```

### `src/theme.js`

```js
export const themeJson = {};
```

### `package.json`

```json
{
  "dependencies": {
    "survey-core": "latest",
    "survey-js-ui": "latest",
    "survey-pdf": "latest"
  }
}
```

## Other Frameworks

- [Angular](https://surveyjs.io/pdf-generator/examples/pdf-education-event-registration-form-template/angular.md)
- [React](https://surveyjs.io/pdf-generator/examples/pdf-education-event-registration-form-template/reactjs.md)
- [Vue 3](https://surveyjs.io/pdf-generator/examples/pdf-education-event-registration-form-template/vue3js.md)
- [jQuery](https://surveyjs.io/pdf-generator/examples/pdf-education-event-registration-form-template/jquery.md)


---
title: Event Registration Form
product: PDF Generator
description: Get a printable event registration form in PDF. Create editable or prefilled student event registration forms with SurveyJS PDF Generator.
framework: Angular
source: https://surveyjs.io/pdf-generator/examples/pdf-education-event-registration-form-template/angular
index: https://surveyjs.io/pdf-generator/examples/overview.md
---

# Event Registration Form (Angular)

## Files

### `src/app/components/json.ts`

```ts
export const json = {
  "title": "Event Registration Form",
  "pages": [
    {
      "name": "important-info",
      "title": "Important Information",
      "description": "Read the following information carefully and confirm that you understand it.",
      "elements": [
        {
          "type": "panel",
          "name": "important-info-panel",
          "elements": [
            {
              "type": "html",
              "name": "warning",
              "html": "<p><strong>Event Registration</strong></p><p>Events, activities, and meetings may not be registered more than four months in advance of the current date.</p><p>Recurring events with the same activities, equipment, and location may be registered using this form if they occur within four months of the current date.</p><p>Requests are processed during business hours only. Minimum submission timeframes are listed below. Complex events or events with large attendance should be submitted as early as possible.</p><p>Meetings requiring room or club space hire: 2 business days, subject to availability.</p><p>Event registration including outdoor or plaza bookings: 5 business days, subject to availability.</p><p>Equipment requiring staff assistance, for example large screens or BBQ delivery: 10 business days.</p><p>Sale of food prepared by your group: 10 business days.</p><p>Events with attendance over 150 guests: 10 business days plus 2 business days for each additional 50 guests.</p><p>Events involving intrastate or interstate travel, for example camping or excursions: 15 business days.</p><p>Specialized or high risk activities, for example rock climbing or off road mountain biking: 15 business days.</p><p>Events submitted without sufficient notice will not be approved. If any event details change, including location, equipment, or room hire, submit a new Event Registration Form within the required notice period.</p>"
            }
          ]
        },
        {
          "type": "boolean",
          "name": "intro-consent",
          "title": "I confirm that I have read and understand the information above.",
          "displayMode": "checkbox"
        }
      ]
    },
    {
      "name": "general-details",
      "title": "General Details",
      "description": "Provide the contact details of the event or activity manager.",
      "elements": [
        {
          "type": "text",
          "name": "name-host",
          "title": "Name of Host or Organization",
          "description": "Use the full name. Acronyms are not accepted."
        },
        {
          "type": "panel",
          "name": "panel-host",
          "title": "Host or Organization Email",
          "elements": [
            {
              "type": "text",
              "name": "host-org-email",
              "title": "Email address",
              "inputType": "email",
              "autocomplete": "email"
            },
            {
              "type": "text",
              "name": "confirm_email",
              "startWithNewLine": false,
              "title": "Confirm email address",
              "validators": [
                {
                  "type": "expression",
                  "text": "The confirmation email must match the email entered above.",
                  "expression": "{confirm_email}={host-org-email}"
                }
              ],
              "inputType": "email",
              "autocomplete": "email"
            }
          ]
        },
        {
          "type": "panel",
          "name": "panel-manager",
          "title": "Event or Activity Manager",
          "elements": [
            {
              "type": "text",
              "name": "first-name",
              "title": "First name"
            },
            {
              "type": "text",
              "name": "last-name",
              "startWithNewLine": false,
              "title": "Last name"
            }
          ]
        },
        {
          "type": "panel",
          "name": "panel-manger-email",
          "title": "Event or Activity Manager Email",
          "elements": [
            {
              "type": "text",
              "name": "enter-email-manager",
              "title": "Email address",
              "inputType": "email",
              "autocomplete": "email"
            },
            {
              "type": "text",
              "name": "confirm-email-manager",
              "startWithNewLine": false,
              "title": "Confirm email address",
              "validators": [
                {
                  "type": "expression",
                  "text": "The confirmation email must match the email entered above.",
                  "expression": "{confirm-email-manager}={enter-email-manager}"
                }
              ],
              "inputType": "email",
              "autocomplete": "email"
            }
          ]
        },
        {
          "type": "panel",
          "name": "phone-student-number",
          "elements": [
            {
              "type": "text",
              "name": "phone",
              "title": "Event or Activity Manager Mobile Number",
              "maskType": "pattern",
              "maskSettings": {
                "pattern": "+1(999)-999-99-99"
              }
            },
            {
              "type": "text",
              "name": "student-number",
              "startWithNewLine": false,
              "title": "Student Number",
              "maskType": "pattern",
              "maskSettings": {
                "pattern": "aa999999"
              }
            },
            {
              "type": "radiogroup",
              "name": "presence",
              "title": "Will the event or activity manager listed above be present for the entire event?",
              "choices": [
                "Yes",
                "No"
              ]
            }
          ]
        }
      ]
    },
    {
      "name": "activity-details",
      "title": "Event or Activity Details",
      "description": "Provide details about the event, activity, or meeting.",
      "elements": [
        {
          "type": "radiogroup",
          "name": "name-event",
          "title": "Type of Event",
          "choices": [
            "Orientation Week",
            "Homecoming",
            "Graduation Ceremony",
            "Fresher Ball",
            "Sports Day",
            "Cultural Festival",
            "Academic Conference",
            "Career Fair",
            "Charity Event",
            "Art Exhibition"
          ],
          "showOtherItem": true,
          "otherText": "Other",
          "colCount": 2
        },
        {
          "type": "text",
          "name": "title-event",
          "title": "Title of Event or Activity",
          "maxLength": 50
        },
        {
          "type": "text",
          "name": "location",
          "title": "Event Location"
        },
        {
          "type": "radiogroup",
          "name": "attendance",
          "title": "Expected Attendance",
          "choices": [
            "1-50",
            "51-100",
            "101-200",
            "201-500",
            "More than 500"
          ],
          "colCount": 2
        },
        {
          "type": "comment",
          "name": "description",
          "title": "Description of the Event or Activity",
          "description": "Describe the purpose of the event and the planned activities.",
          "maxLength": 500,
          "autoGrow": true
        },
        {
          "type": "text",
          "name": "url",
          "title": "Event Web or Social Media Link, if applicable",
          "description": "For example a social media event page or ticket page. Leave blank if none.",
          "inputType": "url"
        },
        {
          "type": "paneldynamic",
          "name": "dates-times",
          "title": "Event Dates and Times",
          "panelCount": 3,
          "panelsState": "firstExpanded",
          "templateTitle": "Schedule {panelIndex}",
          "templateElements": [
            {
              "type": "text",
              "name": "date",
              "title": "Date",
              "inputType": "date",
              "minWidth": "auto"
            },
            {
              "type": "text",
              "name": "start-time",
              "title": "Start time",
              "inputType": "time",
              "startWithNewLine": false,
              "minWidth": "auto"
            },
            {
              "type": "text",
              "name": "end-time",
              "title": "End time",
              "inputType": "time",
              "startWithNewLine": false,
              "minWidth": "auto"
            }
          ]
        },
        {
          "type": "checkbox",
          "name": "requirements",
          "title": "Select any requirements for this activity.",
          "choices": [
            "I need to book a room or space",
            "I need to hire equipment",
            "I would like the university to promote this activity"
          ]
        },
        {
          "type": "boolean",
          "name": "acknowledgement",
          "title": "I confirm that I do not require equipment hire, room booking, or promotion. I understand that a new form must be submitted if my requirements change.",
          "description": "Select this only if none of the requirements above apply.",
          "displayMode": "checkbox"
        }
      ]
    },   
    {
      "name": "compliance-panel",
      "title": "Event Setup and Compliance Information",
      "description": "Provide information about event preparation and compliance requirements.",
      "elements": [
        {
          "type": "radiogroup",
          "name": "alcohol",
          "title": "Will alcohol be served at the event?",
          "choices": [
            "Yes",
            "No"
          ]
        },
        {
          "type": "panel",
          "name": "alcohol-statement",
          "title": "Alcohol Service Information",
          "description": "Complete this section if alcohol will be served.",
          "elements": [
            {
              "type": "html",
              "name": "statement-contents",
              "html": "<em>Outdoor events with alcohol must use a tent with sides. Events aimed at undergraduate students must not mention alcohol in advertising materials. Advertising may include the phrase Valid ID Required.</em>"
            },
            {
              "type": "boolean",
              "name": "alcohol-statement-confirmation",
              "title": "I confirm that I have read and understand the alcohol service rules.",
              "displayMode": "checkbox"
            }
          ]
        },
        {
          "type": "radiogroup",
          "name": "food",
          "title": "Will food be served at the event?",
          "choices": [
            "Yes",
            "No"
          ]
        },
        {
          "type": "panel",
          "name": "snacks-statement",
          "title": "Snack and Non Alcoholic Beverage Reminder",
          "description": "Complete this section if alcohol will be served. Snacks and non alcoholic beverages must be provided.",
          "elements": [
            {
              "type": "html",
              "name": "snacks-statement-contents",
              "html": "<em>Snacks and non alcoholic beverages must be served if alcohol is served.</em>"
            },
            {
              "type": "boolean",
              "name": "snacks-statement-confirmation",
              "title": "I confirm that I have read and understand this requirement.",
              "displayMode": "checkbox"
            }
          ]
        },
        {
          "type": "radiogroup",
          "name": "speaker-candidate",
          "title": "Will the event include a speaker who is a candidate for political office?",
          "choices": [
            "Yes",
            "No"
          ]
        },
        {
          "type": "radiogroup",
          "name": "against-candidate",
          "title": "Is the event expected to include statements supporting or opposing a political candidate or office holder?",
          "choices": [
            "Yes",
            "No"
          ]
        },
        {
          "type": "radiogroup",
          "name": "speaker",
          "title": "Will the event include another external speaker, entertainer, or presenter?",
          "choices": [
            "Yes",
            "No"
          ]
        },
        {
          "type": "text",
          "name": "name-speaker",
          "title": "Name of speaker, entertainer, or presenter, if applicable"
        },
        {
          "type": "radiogroup",
          "name": "amplified-music",
          "title": "Will the event include live or amplified music?",
          "choices": [
            "Yes",
            "No"
          ]
        },
        {
          "type": "panel",
          "name": "amplified-sound-statement",
          "title": "Amplified Sound Permit Information",
          "description": "Complete this section if the event includes amplified or live music.",
          "elements": [
            {
              "type": "html",
              "name": "permit",
              "html": "<p><strong>If the event is held outdoors, an Amplified Sound Permit from the local police department may be required.</strong></p><p>You will need an approved copy of this registration form to obtain the permit.</p>"
            },
            {
              "type": "boolean",
              "name": "amplified-sound-statement-confirmation",
              "title": "I confirm that I have read and understand the amplified sound permit requirements.",
              "displayMode": "checkbox"
            }
          ]
        },
        {
          "type": "radiogroup",
          "name": "displays",
          "title": "Will the event include signage or promotional displays?",
          "choices": [
            "Yes",
            "No"
          ]
        },
        {
          "type": "html",
          "name": "promotional-displays-statement",
          "title": "Rules for Signage and Promotional Displays",
          "html": "<em>No signage or promotional displays related to events may be attached to university buildings. All signage and promotional displays must be approved in advance as part of the event registration.</em>"
        },
        {
          "type": "comment",
          "name": "promotional-displays-contents",
          "title": "Provide details of signage or promotional displays, if applicable",
          "maxLength": 300
        },
        {
          "type": "radiogroup",
          "name": "insurance",
          "title": "Have the insurance requirements for this event been met?",
          "choices": [
            "Yes",
            "No"
          ]
        }
      ]
    },
    {
      "name": "declaration",
      "title": "Declaration",
      "elements": [
        {
          "type": "html",
          "name": "declaration-contents",
          "html": "<p>As the event manager, I agree to ensure that all applicable guidelines and health and safety requirements are followed during this event. I understand that late changes to equipment or room requirements may not be accommodated.</p>"
        },
        {
          "type": "boolean",
          "name": "declaration-confirmation",
          "title": "I confirm that I have read, understood, and agree to the declaration above.",
          "displayMode": "checkbox"
        }
      ]
    }
  ],
  "checkErrorsMode": "onValueChanged",
  "questionsOnPageMode": "singlePage",
  "headerView": "advanced"
};
```

### `src/app/components/pdf.component.css`

```css
/* You can add your custom CSS here. */
```

### `src/app/components/pdf.component.html`

```html
<survey [model]="model"></survey>
```

### `src/app/components/pdf.component.ts`

```ts
import { Component, OnInit } from "@angular/core";
import { Model } from "survey-core";
import { SurveyPDF } from "survey-pdf";
import { json } from "./json";
import "./pdf.component.css";
import "survey-core/survey-core.min.css";

function createSurveyPdfModel (surveyModel) {
    const surveyPDF = new SurveyPDF(json);
    if (surveyModel) {
        surveyPDF.data = surveyModel.data;
        surveyPDF.locale = surveyModel.locale;
        
        
    }
    surveyPDF.questionsOnPageMode = "standard";
    return surveyPDF;
}
function saveSurveyToPdf (filename, surveyModel) {
    const pdfDoc = createSurveyPdfModel(surveyModel);
    if (!pdfDoc) return;

    pdfDoc.save(filename);
}

const previewDiv = document.getElementById("pdf-preview");
const previewEmbed = document.getElementById("pdf-preview-frame");
let pdfBlobUrl;

function showPdfPreview(surveyModel) {
    if (!previewDiv || !previewEmbed) return;

    const pdfDoc = createSurveyPdfModel(surveyModel);
    if (!pdfDoc) return;

    pdfDoc.raw("blob").then((blob) => {
        if (pdfBlobUrl) {
            URL.revokeObjectURL(pdfBlobUrl);
        }
        pdfBlobUrl = URL.createObjectURL(blob);
        previewEmbed.setAttribute("src", pdfBlobUrl);
        previewDiv.style.display = "block";
    });
}

function previewPdf(surveyModel) {
    if (!previewDiv) return;

    if (previewDiv.style.display !== "none") {
        previewDiv.style.display = "none";
        return;
    }

    showPdfPreview(surveyModel);
}

@Component({
    // tslint:disable-next-line:component-selector
    selector: "component-survey",
    templateUrl: "./pdf.component.html",
    styleUrls: ["./pdf.component.css"]
})
export class SurveyPdfComponent implements OnInit {
    model: Model;
    ngOnInit() {
        const survey = new Model(json);
        survey.showCompleteButton = false;
        survey.navigationButtonsLocation = "topBottom";
        survey.addNavigationItem({
            id: "survey_save_as_file",
            title: "Download PDF",
            action: () => {
                saveSurveyToPdf("surveyResult.pdf", survey);
            }
        });
        survey.addNavigationItem({
            id: "survey_pdf_preview",
            title: "Preview PDF",
            visible: window.navigator.pdfViewerEnabled,
            action: () => {
                previewPdf(survey);
            }
        });
        this.model = survey;
    }
}
```

### `src/app/components/theme.ts`

```ts
export const themeJson = {};
```

### `src/app/app.component.css`

```css

```

### `src/app/app.component.html`

```html
<component-survey></component-survey>
```

### `src/app/app.component.ts`

```ts
import { Component } from "@angular/core";

@Component({
    selector: "app-root",
    templateUrl: "./app.component.html",
    styleUrls: ["./app.component.css"]
})
export class AppComponent {
    title = "CodeSandbox";
}
```

### `src/app/app.module.ts`

```ts
import { BrowserModule } from "@angular/platform-browser";
import { NgModule } from "@angular/core";

import { AppComponent } from "./app.component";
import { SurveyModule } from "survey-angular-ui";
import { SurveyPdfComponent } from "./components/pdf.component";

@NgModule({
    declarations: [AppComponent, SurveyPdfComponent],
    imports: [BrowserModule, SurveyModule],
    providers: [],
    bootstrap: [AppComponent]
})
export class AppModule { }
```

### `src/environments/environment.prod.ts`

```ts
export const environment = {
    production: true
};
```

### `src/environments/environment.ts`

```ts
// The file contents for the current environment will overwrite these during build.
// The build system defaults to the dev environment which uses `environment.ts`, but if you do
// `ng build --env=prod` then `environment.prod.ts` will be used instead.
// The list of which env maps to which file can be found in `.angular-cli.json`.

export const environment = {
    production: false
};
```

### `src/index.html`

```html
<div style="display: flex;">
    <div id="surveyElement" style="flex: 1 1 0%; height: 100%; min-width: 0;">
        <app-root></app-root>
    </div>
    <div id="pdf-preview" style="flex: 0.7 0.7 0%; display: none">
        <embed id="pdf-preview-frame" type="application/pdf" style="width:100%; height:100%;" />
    </div>
</div>
```

### `src/main.ts`

```ts
import { enableProdMode } from "@angular/core";
import { platformBrowserDynamic } from "@angular/platform-browser-dynamic";

import { AppModule } from "./app/app.module";
import { environment } from "./environments/environment";

if (environment.production) {
    enableProdMode();
}

platformBrowserDynamic()
    .bootstrapModule(AppModule)
    .catch(err => console.log(err));
```

### `src/polyfills.ts`

```ts
/**
 * This file includes polyfills needed by Angular and is loaded before the app.
 * You can add your own extra polyfills to this file.
 *
 * This file is divided into 2 sections:
 *   1. Browser polyfills. These are applied before loading ZoneJS and are sorted by browsers.
 *   2. Application imports. Files imported after ZoneJS that should be loaded before your main
 *      file.
 *
 * The current setup is for so-called "evergreen" browsers; the last versions of browsers that
 * automatically update themselves. This includes Safari >= 10, Chrome >= 55 (including Opera),
 * Edge >= 13 on the desktop, and iOS 10 and Chrome on mobile.
 *
 * Learn more in https://angular.io/docs/ts/latest/guide/browser-support.html
 */

/***************************************************************************************************
 * BROWSER POLYFILLS
 */

/** IE9, IE10 and IE11 requires all of the following polyfills. **/
// import 'core-js/es6/symbol';
// import 'core-js/es6/object';
// import 'core-js/es6/function';
// import 'core-js/es6/parse-int';
// import 'core-js/es6/parse-float';
// import 'core-js/es6/number';
// import 'core-js/es6/math';
// import 'core-js/es6/string';
// import 'core-js/es6/date';
// import 'core-js/es6/array';
// import 'core-js/es6/regexp';
// import 'core-js/es6/map';
// import 'core-js/es6/weak-map';
// import 'core-js/es6/set';

/** IE10 and IE11 requires the following for NgClass support on SVG elements */
// import 'classlist.js';  // Run `npm install classlist.js`.

/** IE10 and IE11 requires the following for the Reflect API. */
// import 'core-js/es6/reflect';

/** Evergreen browsers require these. **/
// Used for reflect-metadata in JIT. If you use AOT (and only Angular decorators), you can remove.
import "core-js/proposals/reflect-metadata";

/**
 * Required to support Web Animations `@angular/platform-browser/animations`.
 * Needed for: All but Chrome, Firefox and Opera. http://caniuse.com/#feat=web-animation
 **/
// import 'web-animations-js';  // Run `npm install web-animations-js`.

/***************************************************************************************************
 * Zone JS is required by default for Angular itself.
 */
import "zone.js/dist/zone"; // Included with Angular CLI.

/***************************************************************************************************
 * APPLICATION IMPORTS
 */
```

### `src/styles.css`

```css

```

### `src/typings.d.ts`

```ts
/* SystemJS module definition */
declare var module: NodeModule;
interface NodeModule {
    id: string;
}
```

### `.angular-cli.json`

```json
{
  "apps": [
    {
      "root": "src",
      "outDir": "dist",
      "assets": [ "assets", "favicon.ico" ],
      "index": "index.html",
      "main": "main.ts",
      "polyfills": "polyfills.ts",
      "prefix": "app",
      "styles": [ "styles.css" ],
      "scripts": [ ],
      "environmentSource": "environments/environment.ts",
      "environments": {
        "dev": "environments/environment.ts",
        "prod": "environments/environment.prod.ts"
      }
    }
  ]
}
```

### `_tsconfig.json`

```json
{
  "compileOnSave": false,
  "compilerOptions": {
    "baseUrl": "./",
    "outDir": "./dist/out-tsc",
    "sourceMap": true,
    "declaration": false,
    "allowSyntheticDefaultImports": true,
    "downlevelIteration": true,
    "experimentalDecorators": true,
    "moduleResolution": "node",
    "importHelpers": true,
    "resolveJsonModule": true,
    "target": "es2015",
    "module": "es2020",
    "lib": [
      "es2018",
      "dom"
    ]
  }
}
```

### `package.json`

```json
{
  "name": "surveyjs-angular",
  "scripts": {
    "ng": "ng",
    "start": "ng serve",
    "build": "ng build --prod",
    "test": "ng test",
    "lint": "ng lint",
    "e2e": "ng e2e"
  },
  "private": true,
  "dependencies": {
    "@angular/animations": "14.1.1",
    "@angular/cdk": "14.1.1",
    "@angular/common": "14.1.1",
    "@angular/compiler": "14.1.1",
    "@angular/core": "14.1.1",
    "@angular/forms": "14.1.1",
    "@angular/platform-browser": "14.1.1",
    "@angular/platform-browser-dynamic": "14.1.1",
    "@angular/router": "14.1.1",
    "core-js": "3.6.4",
    "rxjs": "6.5.4",
    "survey-core": "latest",
    "survey-angular-ui": "latest",
    "survey-pdf": "latest",
    "tslib": "1.13.0",
    "zone.js": "0.11.7"
  },
  "devDependencies": {
    "@angular/cli": "1.6.6",
    "@angular/compiler-cli": "^5.2.0",
    "@angular/language-service": "^5.2.0",
    "@types/core-js": "0.9.46",
    "@types/jasmine": "~2.8.3",
    "@types/jasminewd2": "~2.0.2",
    "@types/node": "~6.0.60",
    "codelyzer": "^4.0.1",
    "jasmine-core": "~2.8.0",
    "jasmine-spec-reporter": "~4.2.1",
    "karma": "~2.0.0",
    "karma-chrome-launcher": "~2.2.0",
    "karma-coverage-istanbul-reporter": "^1.2.1",
    "karma-jasmine": "~1.1.0",
    "karma-jasmine-html-reporter": "^0.2.2",
    "protractor": "~5.1.2",
    "ts-node": "~4.1.0",
    "tslint": "~5.9.1",
    "typescript": "3.9.7"
  },
  "keywords": [ "angular", "surveyjs" ],
  "description": "SurveyJS-Angular example project"
}
```

## Other Frameworks

- [React](https://surveyjs.io/pdf-generator/examples/pdf-education-event-registration-form-template/reactjs.md)
- [Vue 3](https://surveyjs.io/pdf-generator/examples/pdf-education-event-registration-form-template/vue3js.md)
- [jQuery](https://surveyjs.io/pdf-generator/examples/pdf-education-event-registration-form-template/jquery.md)
- [Vanilla JS](https://surveyjs.io/pdf-generator/examples/pdf-education-event-registration-form-template/vanillajs.md)


---
title: Event Registration Form
product: PDF Generator
description: Get a printable event registration form in PDF. Create editable or prefilled student event registration forms with SurveyJS PDF Generator.
framework: React
source: https://surveyjs.io/pdf-generator/examples/pdf-education-event-registration-form-template/reactjs
index: https://surveyjs.io/pdf-generator/examples/overview.md
---

# Event Registration Form (React)

## Files

### `public/index.html`

```html
<div style="display: flex;">
    <div id="surveyElement" style="flex: 1 1 0%; height: 100%; min-width: 0;"></div>
    <div id="pdf-preview" style="flex: 0.7 0.7 0%; display: none">
        <embed id="pdf-preview-frame" type="application/pdf" style="width:100%; height:100%;" />
    </div>
</div>
```

### `src/SurveyPdfComponent.jsx`

```js
import React from "react";
import { Model } from "survey-core";
import { SurveyPDF } from "survey-pdf";
import { Survey } from "survey-react-ui";
import "survey-core/survey-core.min.css";
import "./index.css";
import { json } from "./json";

function createSurveyPdfModel (surveyModel) {
    const surveyPDF = new SurveyPDF(json);
    if (surveyModel) {
        surveyPDF.data = surveyModel.data;
        surveyPDF.locale = surveyModel.locale;
        
        
    }
    surveyPDF.questionsOnPageMode = "standard";
    return surveyPDF;
}
function saveSurveyToPdf (filename, surveyModel) {
    const pdfDoc = createSurveyPdfModel(surveyModel);
    if (!pdfDoc) return;

    pdfDoc.save(filename);
}

const previewDiv = document.getElementById("pdf-preview");
const previewEmbed = document.getElementById("pdf-preview-frame");
let pdfBlobUrl;

function showPdfPreview(surveyModel) {
    if (!previewDiv || !previewEmbed) return;

    const pdfDoc = createSurveyPdfModel(surveyModel);
    if (!pdfDoc) return;

    pdfDoc.raw("blob").then((blob) => {
        if (pdfBlobUrl) {
            URL.revokeObjectURL(pdfBlobUrl);
        }
        pdfBlobUrl = URL.createObjectURL(blob);
        previewEmbed.setAttribute("src", pdfBlobUrl);
        previewDiv.style.display = "block";
    });
}

function previewPdf(surveyModel) {
    if (!previewDiv) return;

    if (previewDiv.style.display !== "none") {
        previewDiv.style.display = "none";
        return;
    }

    showPdfPreview(surveyModel);
}

function SurveyPdfComponent () {
    const survey = new Model(json);
    survey.showCompleteButton = false;
    survey.navigationButtonsLocation = "topBottom";
    survey.addNavigationItem({
        id: "survey_save_as_file",
        title: "Download PDF",
        action: () => {
            saveSurveyToPdf("surveyResult.pdf", survey);
        }
    });
    survey.addNavigationItem({
        id: "survey_pdf_preview",
        title: "Preview PDF",
        visible: window.navigator.pdfViewerEnabled,
        action: () => {
            previewPdf(survey);
        }
    });
    return (<Survey model={survey} />);
}

export default SurveyPdfComponent;
```

### `src/index.css`

```css
/* You can add your custom CSS here. */
```

### `src/index.js`

```js
import React from "react";
import { createRoot } from "react-dom/client";
import SurveyPdfComponent from "./SurveyPdfComponent";

const root = createRoot(document.getElementById("surveyElement"));
root.render(<SurveyPdfComponent />);
```

### `src/json.js`

```js
export const json = {
  "title": "Event Registration Form",
  "pages": [
    {
      "name": "important-info",
      "title": "Important Information",
      "description": "Read the following information carefully and confirm that you understand it.",
      "elements": [
        {
          "type": "panel",
          "name": "important-info-panel",
          "elements": [
            {
              "type": "html",
              "name": "warning",
              "html": "<p><strong>Event Registration</strong></p><p>Events, activities, and meetings may not be registered more than four months in advance of the current date.</p><p>Recurring events with the same activities, equipment, and location may be registered using this form if they occur within four months of the current date.</p><p>Requests are processed during business hours only. Minimum submission timeframes are listed below. Complex events or events with large attendance should be submitted as early as possible.</p><p>Meetings requiring room or club space hire: 2 business days, subject to availability.</p><p>Event registration including outdoor or plaza bookings: 5 business days, subject to availability.</p><p>Equipment requiring staff assistance, for example large screens or BBQ delivery: 10 business days.</p><p>Sale of food prepared by your group: 10 business days.</p><p>Events with attendance over 150 guests: 10 business days plus 2 business days for each additional 50 guests.</p><p>Events involving intrastate or interstate travel, for example camping or excursions: 15 business days.</p><p>Specialized or high risk activities, for example rock climbing or off road mountain biking: 15 business days.</p><p>Events submitted without sufficient notice will not be approved. If any event details change, including location, equipment, or room hire, submit a new Event Registration Form within the required notice period.</p>"
            }
          ]
        },
        {
          "type": "boolean",
          "name": "intro-consent",
          "title": "I confirm that I have read and understand the information above.",
          "displayMode": "checkbox"
        }
      ]
    },
    {
      "name": "general-details",
      "title": "General Details",
      "description": "Provide the contact details of the event or activity manager.",
      "elements": [
        {
          "type": "text",
          "name": "name-host",
          "title": "Name of Host or Organization",
          "description": "Use the full name. Acronyms are not accepted."
        },
        {
          "type": "panel",
          "name": "panel-host",
          "title": "Host or Organization Email",
          "elements": [
            {
              "type": "text",
              "name": "host-org-email",
              "title": "Email address",
              "inputType": "email",
              "autocomplete": "email"
            },
            {
              "type": "text",
              "name": "confirm_email",
              "startWithNewLine": false,
              "title": "Confirm email address",
              "validators": [
                {
                  "type": "expression",
                  "text": "The confirmation email must match the email entered above.",
                  "expression": "{confirm_email}={host-org-email}"
                }
              ],
              "inputType": "email",
              "autocomplete": "email"
            }
          ]
        },
        {
          "type": "panel",
          "name": "panel-manager",
          "title": "Event or Activity Manager",
          "elements": [
            {
              "type": "text",
              "name": "first-name",
              "title": "First name"
            },
            {
              "type": "text",
              "name": "last-name",
              "startWithNewLine": false,
              "title": "Last name"
            }
          ]
        },
        {
          "type": "panel",
          "name": "panel-manger-email",
          "title": "Event or Activity Manager Email",
          "elements": [
            {
              "type": "text",
              "name": "enter-email-manager",
              "title": "Email address",
              "inputType": "email",
              "autocomplete": "email"
            },
            {
              "type": "text",
              "name": "confirm-email-manager",
              "startWithNewLine": false,
              "title": "Confirm email address",
              "validators": [
                {
                  "type": "expression",
                  "text": "The confirmation email must match the email entered above.",
                  "expression": "{confirm-email-manager}={enter-email-manager}"
                }
              ],
              "inputType": "email",
              "autocomplete": "email"
            }
          ]
        },
        {
          "type": "panel",
          "name": "phone-student-number",
          "elements": [
            {
              "type": "text",
              "name": "phone",
              "title": "Event or Activity Manager Mobile Number",
              "maskType": "pattern",
              "maskSettings": {
                "pattern": "+1(999)-999-99-99"
              }
            },
            {
              "type": "text",
              "name": "student-number",
              "startWithNewLine": false,
              "title": "Student Number",
              "maskType": "pattern",
              "maskSettings": {
                "pattern": "aa999999"
              }
            },
            {
              "type": "radiogroup",
              "name": "presence",
              "title": "Will the event or activity manager listed above be present for the entire event?",
              "choices": [
                "Yes",
                "No"
              ]
            }
          ]
        }
      ]
    },
    {
      "name": "activity-details",
      "title": "Event or Activity Details",
      "description": "Provide details about the event, activity, or meeting.",
      "elements": [
        {
          "type": "radiogroup",
          "name": "name-event",
          "title": "Type of Event",
          "choices": [
            "Orientation Week",
            "Homecoming",
            "Graduation Ceremony",
            "Fresher Ball",
            "Sports Day",
            "Cultural Festival",
            "Academic Conference",
            "Career Fair",
            "Charity Event",
            "Art Exhibition"
          ],
          "showOtherItem": true,
          "otherText": "Other",
          "colCount": 2
        },
        {
          "type": "text",
          "name": "title-event",
          "title": "Title of Event or Activity",
          "maxLength": 50
        },
        {
          "type": "text",
          "name": "location",
          "title": "Event Location"
        },
        {
          "type": "radiogroup",
          "name": "attendance",
          "title": "Expected Attendance",
          "choices": [
            "1-50",
            "51-100",
            "101-200",
            "201-500",
            "More than 500"
          ],
          "colCount": 2
        },
        {
          "type": "comment",
          "name": "description",
          "title": "Description of the Event or Activity",
          "description": "Describe the purpose of the event and the planned activities.",
          "maxLength": 500,
          "autoGrow": true
        },
        {
          "type": "text",
          "name": "url",
          "title": "Event Web or Social Media Link, if applicable",
          "description": "For example a social media event page or ticket page. Leave blank if none.",
          "inputType": "url"
        },
        {
          "type": "paneldynamic",
          "name": "dates-times",
          "title": "Event Dates and Times",
          "panelCount": 3,
          "panelsState": "firstExpanded",
          "templateTitle": "Schedule {panelIndex}",
          "templateElements": [
            {
              "type": "text",
              "name": "date",
              "title": "Date",
              "inputType": "date",
              "minWidth": "auto"
            },
            {
              "type": "text",
              "name": "start-time",
              "title": "Start time",
              "inputType": "time",
              "startWithNewLine": false,
              "minWidth": "auto"
            },
            {
              "type": "text",
              "name": "end-time",
              "title": "End time",
              "inputType": "time",
              "startWithNewLine": false,
              "minWidth": "auto"
            }
          ]
        },
        {
          "type": "checkbox",
          "name": "requirements",
          "title": "Select any requirements for this activity.",
          "choices": [
            "I need to book a room or space",
            "I need to hire equipment",
            "I would like the university to promote this activity"
          ]
        },
        {
          "type": "boolean",
          "name": "acknowledgement",
          "title": "I confirm that I do not require equipment hire, room booking, or promotion. I understand that a new form must be submitted if my requirements change.",
          "description": "Select this only if none of the requirements above apply.",
          "displayMode": "checkbox"
        }
      ]
    },   
    {
      "name": "compliance-panel",
      "title": "Event Setup and Compliance Information",
      "description": "Provide information about event preparation and compliance requirements.",
      "elements": [
        {
          "type": "radiogroup",
          "name": "alcohol",
          "title": "Will alcohol be served at the event?",
          "choices": [
            "Yes",
            "No"
          ]
        },
        {
          "type": "panel",
          "name": "alcohol-statement",
          "title": "Alcohol Service Information",
          "description": "Complete this section if alcohol will be served.",
          "elements": [
            {
              "type": "html",
              "name": "statement-contents",
              "html": "<em>Outdoor events with alcohol must use a tent with sides. Events aimed at undergraduate students must not mention alcohol in advertising materials. Advertising may include the phrase Valid ID Required.</em>"
            },
            {
              "type": "boolean",
              "name": "alcohol-statement-confirmation",
              "title": "I confirm that I have read and understand the alcohol service rules.",
              "displayMode": "checkbox"
            }
          ]
        },
        {
          "type": "radiogroup",
          "name": "food",
          "title": "Will food be served at the event?",
          "choices": [
            "Yes",
            "No"
          ]
        },
        {
          "type": "panel",
          "name": "snacks-statement",
          "title": "Snack and Non Alcoholic Beverage Reminder",
          "description": "Complete this section if alcohol will be served. Snacks and non alcoholic beverages must be provided.",
          "elements": [
            {
              "type": "html",
              "name": "snacks-statement-contents",
              "html": "<em>Snacks and non alcoholic beverages must be served if alcohol is served.</em>"
            },
            {
              "type": "boolean",
              "name": "snacks-statement-confirmation",
              "title": "I confirm that I have read and understand this requirement.",
              "displayMode": "checkbox"
            }
          ]
        },
        {
          "type": "radiogroup",
          "name": "speaker-candidate",
          "title": "Will the event include a speaker who is a candidate for political office?",
          "choices": [
            "Yes",
            "No"
          ]
        },
        {
          "type": "radiogroup",
          "name": "against-candidate",
          "title": "Is the event expected to include statements supporting or opposing a political candidate or office holder?",
          "choices": [
            "Yes",
            "No"
          ]
        },
        {
          "type": "radiogroup",
          "name": "speaker",
          "title": "Will the event include another external speaker, entertainer, or presenter?",
          "choices": [
            "Yes",
            "No"
          ]
        },
        {
          "type": "text",
          "name": "name-speaker",
          "title": "Name of speaker, entertainer, or presenter, if applicable"
        },
        {
          "type": "radiogroup",
          "name": "amplified-music",
          "title": "Will the event include live or amplified music?",
          "choices": [
            "Yes",
            "No"
          ]
        },
        {
          "type": "panel",
          "name": "amplified-sound-statement",
          "title": "Amplified Sound Permit Information",
          "description": "Complete this section if the event includes amplified or live music.",
          "elements": [
            {
              "type": "html",
              "name": "permit",
              "html": "<p><strong>If the event is held outdoors, an Amplified Sound Permit from the local police department may be required.</strong></p><p>You will need an approved copy of this registration form to obtain the permit.</p>"
            },
            {
              "type": "boolean",
              "name": "amplified-sound-statement-confirmation",
              "title": "I confirm that I have read and understand the amplified sound permit requirements.",
              "displayMode": "checkbox"
            }
          ]
        },
        {
          "type": "radiogroup",
          "name": "displays",
          "title": "Will the event include signage or promotional displays?",
          "choices": [
            "Yes",
            "No"
          ]
        },
        {
          "type": "html",
          "name": "promotional-displays-statement",
          "title": "Rules for Signage and Promotional Displays",
          "html": "<em>No signage or promotional displays related to events may be attached to university buildings. All signage and promotional displays must be approved in advance as part of the event registration.</em>"
        },
        {
          "type": "comment",
          "name": "promotional-displays-contents",
          "title": "Provide details of signage or promotional displays, if applicable",
          "maxLength": 300
        },
        {
          "type": "radiogroup",
          "name": "insurance",
          "title": "Have the insurance requirements for this event been met?",
          "choices": [
            "Yes",
            "No"
          ]
        }
      ]
    },
    {
      "name": "declaration",
      "title": "Declaration",
      "elements": [
        {
          "type": "html",
          "name": "declaration-contents",
          "html": "<p>As the event manager, I agree to ensure that all applicable guidelines and health and safety requirements are followed during this event. I understand that late changes to equipment or room requirements may not be accommodated.</p>"
        },
        {
          "type": "boolean",
          "name": "declaration-confirmation",
          "title": "I confirm that I have read, understood, and agree to the declaration above.",
          "displayMode": "checkbox"
        }
      ]
    }
  ],
  "checkErrorsMode": "onValueChanged",
  "questionsOnPageMode": "singlePage",
  "headerView": "advanced"
};
```

### `src/theme.js`

```js
export const themeJson = {};
```

### `package.json`

```json
{
  "dependencies": {
    "react": "latest",
    "react-dom": "latest",
    "survey-core": "latest",
    "survey-react-ui": "latest",
    "survey-pdf": "latest"
  },
  "devDependencies": {
    "react-scripts": "latest"
  }
}
```

## Other Frameworks

- [Angular](https://surveyjs.io/pdf-generator/examples/pdf-education-event-registration-form-template/angular.md)
- [Vue 3](https://surveyjs.io/pdf-generator/examples/pdf-education-event-registration-form-template/vue3js.md)
- [jQuery](https://surveyjs.io/pdf-generator/examples/pdf-education-event-registration-form-template/jquery.md)
- [Vanilla JS](https://surveyjs.io/pdf-generator/examples/pdf-education-event-registration-form-template/vanillajs.md)
